// ①前へ進む
void car_go () {
  Serial.println("car_go");
  // ②前回と動作が異なる場合は一旦停止
  if (preCarMove != 1) {
    car_stop();
    delay(150);
  }
  preCarMove = 1;
  digitalWrite(R_WHEEL_IN1, HIGH);
  digitalWrite(R_WHEEL_IN2, LOW);
  digitalWrite(L_WHEEL_IN1, HIGH);
  digitalWrite(L_WHEEL_IN2, LOW);
}

// ③右へ旋回（回転）
void car_right (int t_time) {
  Serial.println("car_right");
  // ④前回と動作が異なる場合は一旦停止
  if (preCarMove != 3) {
    car_stop();
    delay(150);
  }
  preCarMove = 3;
  // ④-1の場合は右の逆回転はしない
  if (t_time == -1) {
    digitalWrite(R_WHEEL_IN1, LOW);
    digitalWrite(R_WHEEL_IN2, LOW);
  } else {
    digitalWrite(R_WHEEL_IN1, LOW);
    digitalWrite(R_WHEEL_IN2, HIGH);
  }
  digitalWrite(L_WHEEL_IN1, HIGH);
  digitalWrite(L_WHEEL_IN2, LOW);
  // ⑤0以上の場合に一定の時間でStop（0,-1は無限に回転）
  if (t_time > 0) {
    delay(t_time);
    car_stop();
  }
}

// ⑥左へ旋回（回転）
void car_left (int t_time) {
  Serial.println("car_left");
  // ⑦前回と動作が異なる場合は一旦停止
  if (preCarMove != 2) {
    car_stop();
    delay(150);
  }
  preCarMove = 2;
  digitalWrite(R_WHEEL_IN1, HIGH);
  digitalWrite(R_WHEEL_IN2, LOW);
  // ⑧-1の場合は左の逆回転はしない
  if (t_time == -1) {
    digitalWrite(L_WHEEL_IN1, LOW);
    digitalWrite(L_WHEEL_IN2, LOW);
  } else {
    digitalWrite(L_WHEEL_IN1, LOW);
    digitalWrite(L_WHEEL_IN2, HIGH);
  }
  // ⑨0以上の場合に一定の時間でStop（0,-1は無限に回転）
  if (t_time > 0) {
    delay(t_time);
    car_stop();
  }
}

// ⑩停止
void car_stop () {
  Serial.println("car_stop");
  digitalWrite(R_WHEEL_IN1, LOW);
  digitalWrite(R_WHEEL_IN2, LOW);
  digitalWrite(L_WHEEL_IN1, LOW);
  digitalWrite(L_WHEEL_IN2, LOW);
}

// ⑪後ろへ進む
void car_back () {
  Serial.println("car_back");
  // ⑫前回と動作が異なる場合は一旦停止
  if (preCarMove != 4) {
    car_stop();
    delay(150);
  }
  preCarMove = 4;
  digitalWrite(R_WHEEL_IN1, LOW);
  digitalWrite(R_WHEEL_IN2, HIGH);
  digitalWrite(L_WHEEL_IN1, LOW);
  digitalWrite(L_WHEEL_IN2, HIGH);
}
