// ①センサー情報を送信しデータ更新
String updateSensor(){
  String mStr = checkSensor(ONPA_TRIG, ONPA_ECHO);
  String lStr, rStr, messageS;
  // ②左右サイドのIRセンサー状態を通知
  if(digitalRead(IR_RIGH_U) == LOW) {
    rStr = "L";
  } else {
    rStr = "H";
  }
  if(digitalRead(IR_LEFT_U) == LOW) {
    lStr = "L";
  } else {
    lStr = "H";
  }
  // ③返答メッセージを作成し返答
  messageS = "{\"d\":" + mStr + ",\"r\":\"" + rStr + "\",\"l\":\"" + lStr + "\"}";
  Serial.println(messageS);
  return messageS;
}

// ④センサー情報取得
String checkSensor(byte trigPin, byte echoPin){
  // ⑤超音波を発して物体に当って跳ね返ってきた時間
  int duration;
  // ⑥物体との距離
  float distance;
  // ⑦TrigピンをLOWに設定してリセット
  digitalWrite(trigPin, LOW);
  // ⑧1μ秒処理を止める
  delayMicroseconds(1);
  // ⑨TrigピンをHIGHに設定
  digitalWrite(trigPin, HIGH);
  // ⑩10μ秒処理を止める（トリガーPinをHIGHで10μ秒送信）
  delayMicroseconds(10);
  // ⑪TrigピンをLOWに設定
  digitalWrite(trigPin, LOW);
  // ⑫超音波を発して物体に当って跳ね返ってきた時間(μ秒)を取得(LOW=>HIGHまでの時間)
  duration = pulseIn(echoPin, HIGH);
  // ⑬取得した時間は往復時間のため2で割る
  distance = duration / 2;
  // ⑭測定時間から距離(cm)を算出(音速は340m/s)
  distance = distance / 1000000 * 340 * 100;
  // ⑮シリアルモニターに表示
  Serial.print(String(echoPin) + "_Duration: ");
  Serial.print(duration);
  Serial.print(" usec ");
  Serial.print(" Distance: ");
  Serial.print(distance);
  Serial.println(" cm");
  // ⑯測定結果を返答
  return String (distance);
}
